<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Login</title>
  <meta content="" name="description">
  <meta content="" name="keywords">

  <!-- Favicons -->
  <link href="../static/img/favicon.png" th:href="@{/img/favicon.png}" rel="icon">
  <link href="../static/img/apple-touch-icon.png" th:href="@{/img/apple-touch-icon.png}" rel="apple-touch-icon">

  <!-- Google Fonts -->
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link
      href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
      rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link href="../static/vendor/bootstrap/css/bootstrap.min.css" th:href="@{/vendor/bootstrap/css/bootstrap.min.css}"
        rel="stylesheet">
  <link href="../static/vendor/bootstrap-icons/bootstrap-icons.css"
        th:href="@{/vendor/bootstrap-icons/bootstrap-icons.css}" rel="stylesheet">
  <link href="../static/vendor/boxicons/css/boxicons.min.css" th:href="@{/vendor/boxicons/css/boxicons.min.css}"
        rel="stylesheet">
  <link href="../static/vendor/quill/quill.snow.css" th:href="@{/vendor/quill/quill.snow.css}" rel="stylesheet">
  <link href="../static/vendor/quill/quill.bubble.css" th:href="@{/vendor/quill/quill.bubble.css}" rel="stylesheet">
  <link href="../static/vendor/remixicon/remixicon.css" th:href="@{/vendor/remixicon/remixicon.css}" rel="stylesheet">
  <link href="../static/vendor/simple-datatables/style.css" th:href="@{/vendor/simple-datatables/style.css}"
        rel="stylesheet">

  <!-- Template Main CSS File -->
  <link href="../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet">
</head>

<body>

<main>
  <div class="container">

    <section class="section register min-vh-100 d-flex flex-column align-items-center justify-content-center py-4">
      <div class="container">
        <div class="row justify-content-center">
          <div class="col-lg-4 col-md-6 d-flex flex-column align-items-center justify-content-center">

            <div class="d-flex justify-content-center py-4">
              <a href="index.html" class="logo d-flex align-items-center w-auto">
                <img src="../static/img/logo.png" th:src="@{/img/logo.png}" alt="">
                <span class="d-none d-lg-block">PitStop Service</span>
              </a>
            </div><!-- End Logo -->

            <div class="card mb-3">

              <div class="card-body">
                <br>
                <div th:unless="${#httpServletRequest.getParameter('success') == null}"
                     class="alert alert-success alert-dismissible fade show" role="alert">
                  <i class="bi bi-check-circle me-1" th:text="${' ' + #httpServletRequest.getParameter('success')}"></i>
                  <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div><!-- Success -->
                <div th:unless="${#httpServletRequest.getParameter('error') == null}"
                     class="alert alert-danger alert-dismissible fade show" role="alert">
                  <i class="bi bi-check-circle me-1" th:text="${' ' + #httpServletRequest.getParameter('error')}"></i>
                  <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div><!-- Error -->

                <div class="pt-4 pb-2">
                  <h5 class="card-title text-center pb-0 fs-4">Login to Your Account</h5>
                  <p class="text-center small">Enter your username/email & password to login</p>
                </div>

                <form class="row g-3 needs-validation" novalidate th:action="@{/login}" method="post">

                  <div class="col-12">
                    <label for="username" class="form-label">Username/Email</label>
                    <div class="input-group has-validation">
                      <span class="input-group-text" id="inputGroupPrepend">@</span>
                      <input type="text" name="username" class="form-control" id="username" required>
                      <div class="invalid-feedback">Please enter your username or password.</div>
                    </div>
                  </div>

                  <div class="col-12">
                    <label for="password" class="form-label">Password</label>
                    <input type="password" name="password" class="form-control" id="password" required>
                    <div class="invalid-feedback">Please enter your password!</div>
                  </div>
                  <p style="color: darkred" th:if="${error}" class="alert alert-danger" th:text="${error}">Error</p>
                  <div class="col-12">
                    <button class="btn btn-primary w-100" name="submit" type="submit">Login</button>
                  </div>
                  <div class="col-12">
                    <p class="small mb-0">Forgot password? <a th:href="@{/password/forget}">Request email for password
                      reset</a></p>
                  </div>
                </form>

              </div>
            </div>
          </div>
        </div>
      </div>

    </section>

  </div>
</main><!-- End #main -->

<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
    class="bi bi-arrow-up-short"></i></a>

<!-- Vendor JS Files -->
<script src="../static/vendor/apexcharts/apexcharts.min.js"
        th:src="@{/vendor/apexcharts/apexcharts.min.js}"></script>
<script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js"
        th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}"></script>
<script src="../static/vendor/chart.js/chart.min.js" th:src="@{/vendor/chart.js/chart.min.js}"></script>
<script src="../static/vendor/echarts/echarts.min.js" th:src="@{/vendor/echarts/echarts.min.js}"></script>
<script src="../static/vendor/quill/quill.min.js" th:src="@{/vendor/quill/quill.min.js}"></script>
<script src="../static/vendor/simple-datatables/simple-datatables.js"
        th:src="@{/vendor/simple-datatables/simple-datatables.js}"></script>
<script src="../static/vendor/tinymce/tinymce.min.js" th:src="@{/vendor/tinymce/tinymce.min.js}"></script>
<script src="../static/vendor/php-email-form/validate.js" th:src="@{/vendor/php-email-form/validate.js}"></script>

<!-- Template Main JS File -->
<script src="../static/js/main.js" th:src="@{js/main.js}"></script>

</body>

</html>